import "package:code_builder/code_builder.dart";

import "source.dart";
import "src/operation/req.dart";

Library buildReqLibrary(
  SourceNode docSource,
  String partUrl,
) =>
    Library(
      (b) => b
        ..directives.add(Directive.part(partUrl))
        ..body.addAll(
          buildOperationReqClasses(
            docSource,
          ),
        ),
    );
